> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# EventHandler

> Archive of Event handlers - triggers - used by the web api and partners.

## "EventHandler"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.EventHandlersProvider">SuperOffice.CRM.ArchiveLists.EventHandlersProvider</see> inside NetServer's SODatabase assembly.

Archive of Event handlers - triggers - used by the web api and partners.
Lists all triggers in screenchooser table with screenType >= 100.

## Supported Entities

| Name           | Description  |
| -------------- | ------------ |
| "eventHandler" | eventHandler |

## Supported Columns

| Name             | Restriction | Description                                                                               | OrderBy |
| ---------------- | ----------- | ----------------------------------------------------------------------------------------- | ------- |
| getAllRows       | bool        | GetAll: Get all rows of archive - use with care, you may be fetching the whole database   |         |
| getNoRows        | bool        | GetNone: Do not get any rows from the archive                                             |         |
| name             | string      | Name: Name of script. Can be used in file name.                                           | x       |
| uniqueIdentifier | string      | UniqueIdentifier: An identifier that is globally unique, across all scripts and customers | x       |
| path             | string      | Path: Full path that identifies the type of script                                        | x       |
| screenChooserId  | int         | ScreenChooser ID: Primary key for table ScreenChooser                                     | x       |
| screenType       | string      | ScreenType: Determines type of ScreenChooser                                              | x       |
| enabled          | bool        | Enabled: Enables or disables this ScreenChooser                                           | x       |
| updatedBy        | associate   | Updated by: The user who last updated the data                                            | x       |
| updatedDate      | date        | Updated: The date/time the data was last updated in UTC.                                  | x       |
| registeredBy     | associate   | Registered by: The user who registered the data                                           | x       |
| registeredDate   | date        | Registered date: The date/time the data was registered in UTC.                            | x       |

## Sample

```http! theme={null}
GET /api/v1/archive/EventHandler?$select=path,screenType
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [CRMScripts](/en/api/archive-providers/reference/crmscripts.md)
- [SuperOffice.WebApi.Data.TriggerScriptEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.TriggerScriptEntity.md)
- [Get All](/en/api/reference/restful/rest/triggerscript/get-all.md)
- [Enum EventHandlerType](/en/automation/crmscript/reference/CRMScript.NetServer.EventHandlerType.md)
- [Event Handler Exists](/en/api/reference/restful/agent/customerservice_agent/event-handler-exists.md)
- [Event Handlers Exists](/en/api/reference/restful/agent/customerservice_agent/event-handlers-exists.md)
